// twitter专用api
// import axios from 'axios'

let base_url = 'http://testapi.denet.me/denet'

export function getTtwitterRequestToken() {
    return new Promise(function (resolve, reject) {
        let _url = `${base_url}/user/twitterRequestToken`
        fetch(_url, {
            method: 'POST', // or 'PUT'
            headers: {
                'Content-Type': 'application/json',
            },
            body: JSON.stringify({
                "baseInfo": {},
                "params": {
                    "oauthCallback": "oob"
                }
            }),
        })
            .then(response => response.json())
            .then(data => {
                resolve(data);
            })
            .catch((error) => {
                reject(error);
            });

    })
}

export function twitterLogin(oauthToken, oauthVerifier) {
    return new Promise(function (resolve, reject) {
        let _url = `${base_url}/user/twitterLogin`
        fetch(_url, {
            method: 'POST', // or 'PUT'
            headers: {
                'Content-Type': 'application/json',
            },
            body: JSON.stringify({
                "baseInfo": {},
                "params": {
                    "oauthToken": oauthToken,
                    "oauthVerifier": oauthVerifier
                }
            }),
        })
            .then(response => response.json())
            .then(data => {
                resolve(data);
            })
            .catch((error) => {
                reject(error);
            });

    })
}

